package com.blackledge.david.html;

public class HTMLImageChunk extends HTMLChunk {

	public String src;
	public int width;
	public int height;
	public String link;
	public String anchor;
	public String alt;
	
	@Override
	public String toString() {
		return "img:"+this.src;
	}
	
	public HTMLImageChunk(String src, int width, int height, String link, String alt) {
		if(link != null && link.indexOf("\t")>=0) {
			this.link = link.substring(link.indexOf("\t")+1);
			this.anchor = link.substring(0,link.indexOf("\t"));
			if(this.anchor.length() == 0) this.anchor = null;
			if(this.link.length() == 0) this.link = null;
		} else {
			this.link = link;
		}
		this.chunkType = ChunkType.IMAGE;
		this.src = src;
		this.width = width;
		this.height = height;
		this.alt = alt;
	}

}
