package com.blackledge.david.html.hme;


import java.net.URL;

import com.tivo.hme.bananas.BEvent;
import com.tivo.hme.bananas.BHighlights;
import com.tivo.hme.bananas.BView;

public class FormImage extends BView {

	private Object form;
	private String name;
	private Object action;
	private String value;

	public FormImage(Object object, String name, BView parent, int x, int y, int width, int height) {
		super(parent, x, y, getWidth(width, ((WebBrowserApp)parent.getBApp()).getTheme()), getHeight(height, ((WebBrowserApp)parent.getBApp()).getTheme()));
		this.name = name;
		init(object);
	} 
	
	public static int getWidth(int width, WebBrowserTheme theme) {
		//TODO not using theme
		return width;
	}
	
	private static int getHeight(int height, WebBrowserTheme theme) {
		//TODO not using theme
		return height;
	}

	public void updateImage(String value, URL base, String src) {
		 this.value = value;
		 src = WebBrowserApp.getSrc(base, src);
		 this.setResource(src, RSRC_IMAGE_BESTFIT);
	}

	private void init(Object form) {
		this.form = form;
		
		setFocusable(true);
		getHighlights().setWhisperingArrow(BHighlights.H_RIGHT,
				BHighlights.A_RIGHT+10,
				BHighlights.A_CENTER, "right");
		getHighlights().setWhisperingArrow(BHighlights.H_LEFT,
				BHighlights.A_LEFT-10,  
				BHighlights.A_CENTER, "left");
		getHighlights().setWhisperingArrow(BHighlights.H_UP,
				 BHighlights.A_CENTER, 
				 BHighlights.A_TOP-10, "up");
		getHighlights().setWhisperingArrow(BHighlights.H_DOWN,
				 BHighlights.A_CENTER, 
				 BHighlights.A_BOTTOM+10, "down");
	}

	public Object getForm() {
		return form;
	}
	
	public String getName() {
		return name;
	}
	
	@Override
	public boolean handleKeyPress(int code, long rawcode) {
		if(code == KEY_SELECT) {
			postEvent(new BEvent.Action(this, getAction()));
			return true;
		} else {
			return super.handleKeyPress(code, rawcode);
		}
	}

	private Object getAction() {
		return this.action;
	}
	
	public void setAction(Object action) {
		this.action = action;
	}

}
